#ifndef _MGC_INTERNAL_H
#define _MGC_INTERNAL_H

#include "mgc_struct.h"
#define ITL_OPERA_NUM 1024
#define ITL_OPERA_PORT_NO 127
#define ITL_MG_INFO_PORT_NO 37
typedef enum
{
    ITL_OPERA_STATE_UNDEF =-1 ,
	ITL_OPERA_STATE_IDLE,	
	ITL_OPERA_STATE_REQUEST ,
	ITL_OPERA_STATE_RESPONSE
}ITL_OPERA_STATE;

typedef struct _ITL_OPERA_STRUCT
{
    int userPort;
	ITL_OPERA_STATE status;
	CHNL chnl;
}ITL_OPERA_STRUCT;


BOOL mgc_internal_sap_bind(void);
BOOL mgc_internal_mg_create(void);
BOOL mgc_internal_opera_auep_request(MG_INFO *pMgInfo);
int mgc_internal_get_sap_index(void);




#endif
